tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sergey Ponomarev (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TAP5-1788) Service id 'environment' has already been defined by org.apache.tapestry5.services.TapestryModule with Spring 3.1
Date Tue, 24 May 2016 16:24:12 GMT

    [ https://issues.apache.org/jira/browse/TAP5-1788?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15298452#comment-15298452
] 

Sergey Ponomarev commented on TAP5-1788:
----------------------------------------

Could you backport this patch to earlier versions? My project using typestry 1.0.19 and we
can't upgrade it to 5.3.x
If I do patch myself and send you pull request, is any reason why not backport it?

> Service id 'environment' has already been defined by org.apache.tapestry5.services.TapestryModule
with Spring 3.1
> -----------------------------------------------------------------------------------------------------------------
>
>                 Key: TAP5-1788
>                 URL: https://issues.apache.org/jira/browse/TAP5-1788
>             Project: Tapestry 5
>          Issue Type: Bug
>          Components: tapestry-spring
>    Affects Versions: 5.2.4
>            Reporter: Matt Raible
>            Assignee: Igor Drobiazko
>             Fix For: 5.3.2, 5.4
>
>         Attachments: tapestry-spring-3.1-fix.patch
>
>
> After upgrading to Spring 3.1, started seeing the following error with Tapestry 5.2.4.
> java.lang.RuntimeException: Service id 'environment' has already been defined by org.apache.tapestry5.services.TapestryModule.buildEnvironment(PerthreadManager)

> More information at http://tapestry.1045711.n5.nabble.com/tapestry-5-2-4-and-spring-3-1M1-td4462226.html#a4742011



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message